#ifndef __OOL_XMENU_H__
#define __OOL_XMENU_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------ OS/2 version 0.01a */
/*===========================================================================*/
/*                              class: XMenu                                 */
/*                       derived from: XWindow                               */
/*                        last update: 4/96                                  */
/*                      programmed by: Stefan von Brauk                      */
/*===========================================================================*/

#include "xwindow.h"

class XMenuItem;

class _export_ XMenu: public XWindow
{
     friend MRESULT HandleFrameDefault( XFrameWindow * w, ULONG msg, MPARAM mp1, MPARAM mp2, BOOL& handled);
   protected:
     virtual BOOL IsPopup(void) { return FALSE; }
   public:
     XMenu( XMenu * m = NULL);
     virtual ~XMenu() {;}
     void CascadeItem( SHORT itemID);
     void CheckItem( SHORT id, BOOL check = TRUE );
     void DeleteItem( SHORT id);
     void EnableItem( SHORT id, BOOL enable = TRUE );
     void InsertItem( XMenuItem * ins, XMenuItem * subMenu = NULL);
     BOOL QueryItem( XMenuItem *itm, SHORT id);
     SHORT QueryItemCount( void );
     SHORT QueryItemID( SHORT pos);
     void RemoveItem( SHORT id );
     void SetItemText( SHORT id, char * text);
};

#endif
